'http://prox-ia.blogspot.com

'Valeurs par dfaut
errorFileName="erreurs.txt"
resultsFileName="results.txt"
countFileName="quantite.txt"
startMonth=1
endMonth=12
startDay=1
endDay=31
chosenYear=2011
maxpages=1000
keySearch=cloud
'Fin du fichier de conf
DIM FSO
SET FSO = CreateObject ("Scripting.FileSystemObject")
'Variables du fichier de conf
DIM errorFileName
DIM resultsFileName
DIM countFileName
DIM startMonth
DIM endMonth
DIM startDay
DIM endDay
DIM chosenYear
DIM maxpages
DIM keySearch
 
DIM quantiteMensuelle
quantiteMensuelle=0
 
'Main'
SetConfigFromFile("config.txt")
GetName (keySearch)

'
'Lire fichier de conf
'
Function SetConfigFromFile(fileName)
 DIM strConfigLine
 DIM fConFile
 DIM EqPos, strLen, varName, varVal
 SET fConFile = fso.OpenTextFile(fileName)
 WHILE NOT fConFile.AtEndOfStream
 	strConfigLine = fConFile.ReadLine
	strConfigLine = TRIM(strConfigLine)
	IF (INSTR(1,strConfigLine,"#",1) <> 1 AND LEN(strConfigLine) <> 0) THEN
		EqPos = INSTR(1,strConfigLine,"=",1)
		strLen = LEN(strConfigLine)
		varName = LCASE(TRIM(MID(strConfigLine, 1, EqPos - 1)))
		varVal = TRIM(MID(strConfigLine, EqPos + 1, strLen - EqPos))
		SELECT CASE varName
			CASE LCASE("errorFileName")
				IF varVal <> "" THEN errorFileName = varVal
			CASE LCASE("resultsFileName")
				IF varVal <> "" THEN resultsFileName = varVal
			CASE LCASE("countFileName")
				IF varVal <> "" THEN countFileName = varVal
			CASE LCASE("startMonth")
				IF varVal <> "" THEN startMonth = varVal
			CASE LCASE("endMonth")
				IF varVal <> "" THEN endMonth = varVal
			CASE LCASE("startDay")
				IF varVal <> "" THEN startDay = varVal
			CASE LCASE("endDay")
				IF varVal <> "" THEN endDay = varVal
			CASE LCASE("chosenYear")
				IF varVal <> "" THEN chosenYear = varVal
			CASE LCASE("maxpages")
				IF varVal <> "" THEN maxpages = varVal
			CASE LCASE("keySearch")
				IF varVal <> "" THEN keySearch = varVal
		END SELECT
	END IF
 WEND
 fConFile.Close
End Function


'
' Boucle de parsing de 1 page html
'
function process_html (up_http,machaine)
'msgbox up_http
dim xmlhttp : set xmlhttp = createobject ("MSXML2.XMLHTTP.3.0")
xmlhttp.open "get", up_http, false
xmlhttp.send
if(xmlhttp.Status <> 200) then
  ' On positionne la valeur de retour de la fonction
  process_html = "-1"
  exit function 
end if
'En, fonction de la page web on utilise vblf, vbcr, vbcrlf
dim response_array : response_array = split (xmlhttp.responseText,vblf)
'msgbox xmlhttp.responseText

dim re : Set re = new regexp
re.Pattern = machaine

dim myfilter : Set myfilter = new regexp
myfilter.Pattern = "[A-Za-z0-9-]*" + machaine + "[A-Za-z0-9-]*\.[A-Za-z0-9]*"

dim i
'msgbox ubound(response_array)
for i = 0 to ubound(response_array)
   'WriteFileText "test.txt", CStr(i)
  'msgbox i
  if re.Test(response_array(i)) then
    'WScript.Echo i & " " & response_array(i)
    'msgbox i & " " & response_array(i)
    var1 = response_array(i)
    set var2 = myfilter.Execute(var1)
    if var2.count > 0 then 
      'msgbox var2(0).value
      WriteFileText resultsFileName, var2(0).value
    else
      'msgbox response_array(i)
      WriteFileText resultsFileName, response_array(i)
    end if      
    quantiteMensuelle=quantiteMensuelle+1
  end if
next

set re = nothing
set xmlhttp = nothing
end function


'
' Boucle de parsing des pages html 
'
function GetName (machaine)
dim retvalue
myurlpart1="http://dailydomainspy.com/domain-"
myyear=chosenYear
myurlpart2=myurlpart1+myyear
myurlend=".htm"
for mymonth=startMonth to endMonth 
  for mydate=startDay to endDay 
    for mypage=1 to maxpages
      'myres=myurlpart2+"-"+mymonth+"-"+mypage+myurlend
      'myres=myurlpart2+"-"+CStr(mymonth)+"-"+CStr(mypage)+myurlend
      'msgbox myres
      retvalue = process_html (myurlpart2+"-"+CStr(mymonth)+"-"+CStr(mydate)+"-"+CStr(mypage)+myurlend, machaine)
      'msgbox "The function returned" + retvalue
      if retvalue="-1" then
        'msgbox "The function returned: " + retvalue
        'WriteFileText errorFileName, "The function returned: " + retvalue
        WriteFileText errorFileName, "URL: " + myurlpart2+"-"+CStr(mymonth)+"-"+CStr(mydate)+"-"+CStr(mypage)+myurlend
        exit for
      end if
    next
  next
  ' Donner le nombre de domaines par mois
  WriteFileText countFileName, "Year: " + myyear + " Month: " +  CStr(mymonth) + " - Nombre de domaines: " + CStr(quantiteMensuelle)
  quantiteMensuelle=0  
next 
msgbox "End of search"
end function


'
' Ecrire dans un fichier
'
Function WriteFileText(sFilePath, sText)
    Dim objFSO 'As FileSystemObject
    Dim objTextFile 'As Object
    
    Const ForReading = 1
    Const ForWriting = 2
    Const ForAppending = 8    
    
    Set objFSO = CreateObject("Scripting.FileSystemObject")
    'Set objTextFile = objFSO.CreateTextFile(sFilePath, True)
    Set objTextFile = objFSO.OpenTextFile(sFilePath, ForAppending, True)
    
    ' Write a line.
    'objTextFile.Write (sText)
    objTextFile.WriteLine (sText)

    objTextFile.Close
    'objTextFile.Close
End Function

